{{ $appSection := "udpListener" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ $appName }}
  annotations:
    {{- include "data-tools.annotations" . | nindent 4 }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
spec:
  ports:
  - port: {{ index .Values $appSection "service" "port" }}
    targetPort: {{ index .Values $appSection "port" }}
    protocol: UDP
  selector:
    app.kubernetes.io/name: {{ $appName }}
{{ end }}
